## TomoeContext

TomoeContext — An object of...

## Synopsis

                        TomoeContext;
    TomoeContext*       tomoe_context_new                   (void);
    void                tomoe_context_load_config           (TomoeContext *ctx,
                                                             const gchar *config_file);
    GList*              tomoe_context_search                (TomoeContext *ctx,
                                                             TomoeQuery *query);
    GList*              tomoe_context_multi_search          (TomoeContext *ctx,
                                                             GList *queries);
    TomoeChar*          tomoe_context_get_char              (TomoeContext *ctx,
                                                             const gchar *utf8);
    gboolean            tomoe_context_register              (TomoeContext *ctx,
                                                             TomoeChar *chr);
    gboolean            tomoe_context_unregister            (TomoeContext *ctx,
                                                             const gchar *utf8);

## Object Hierarchy

      GObject
       +----TomoeContext

## Properties

      "recognizer"               TomoeRecognizer       : Read / Write / Construct Only

## Description

## Details

### TomoeContext

    typedef struct _TomoeContext TomoeContext;

The TomoeContext struct contains only private fields and should not be directly accessed.

### tomoe_context_new ()

    TomoeContext*       tomoe_context_new                   (void);

Create a new TomoeContext.

Returns : | a new TomoeContext.

### tomoe_context_load_config ()

    void                tomoe_context_load_config           (TomoeContext *ctx,
                                                             const gchar *config_file);

Load dictionaries into configuration file.

`ctx` : | a TomoeContext.
`config_file` : | the filename of configuration file to load.

### tomoe_context_search ()

    GList*              tomoe_context_search                (TomoeContext *ctx,
                                                             TomoeQuery *query);

`ctx` : |
`query` : |
Returns : |

### tomoe_context_multi_search ()

    GList*              tomoe_context_multi_search          (TomoeContext *ctx,
                                                             GList *queries);

`ctx` : |
`queries` : |
Returns : |

### tomoe_context_get_char ()

    TomoeChar*          tomoe_context_get_char              (TomoeContext *ctx,
                                                             const gchar *utf8);

`ctx` : |
`utf8` : |
Returns : |

### tomoe_context_register ()

    gboolean            tomoe_context_register              (TomoeContext *ctx,
                                                             TomoeChar *chr);

`ctx` : |
`chr` : |
Returns : |

### tomoe_context_unregister ()

    gboolean            tomoe_context_unregister            (TomoeContext *ctx,
                                                             const gchar *utf8);

`ctx` : |
`utf8` : |
Returns : |

## Property Details

### The "`recognizer`" property

      "recognizer"               TomoeRecognizer       : Read / Write / Construct Only

The recognizer of the context.